# $Revision: 1.14.2.2 $, $Date: 2003/01/02 03:36:02 $
Summary:	A restricted shell for assigning scp- or sftp-only access
Summary(pl):	Okrojona powoka dajca dostp tylko do scp i sftp
Name:		rssh
Version:	1.0.4
Release:	1
License:	BSD-like
Group:		Applications/Shells
Source0:	http://www.pizzashack.org/rssh/src/%{name}-%{version}.tar.gz
URL:		http://www.pizzashack.org/rssh/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openssh-clients 
Requires:	openssh-server
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin

%description
rssh is a small shell that provides the ability for system
administrators to give specific users access to a given system via scp
or sftp only.

%description -l pl
rssh jest maym shellem, ktry pozwala administratorowi ograniczy
dostp na danym koncie tylko do scp i/lub sftp.

%prep
%setup -q

%build
%configure \
	--with-scp=/usr/bin/scp \
	--with-sftp-server=/usr/lib/openssh/sftp-server

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

ln -sf rssh $RPM_BUILD_ROOT/bin/scpsh
ln -sf rssh $RPM_BUILD_ROOT/bin/sftpsh

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
	echo "%{_bindir}/%{name}" > /etc/shells
	echo "%{_bindir}/scpsh" >> /etc/shells
	echo "%{_bindir}/sftpsh" >> /etc/shells
else
	if ! grep -q '^%{_bindir}/%{name}$' /etc/shells; then
		echo "%{_bindir}/%{name}" >> /etc/shells
	fi
	if ! grep -q '^%{_bindir}/scpsh$' /etc/shells; then
		echo "%{_bindir}/scpsh" >> /etc/shells
	fi
	if ! grep -q '^%{_bindir}/sftpsh$' /etc/shells; then
		echo "%{_bindir}/sftpsh" >> /etc/shells
	fi
fi

%preun
if [ "$1" = "0" ]; then
	grep -v %{_bindir}/%{name} /etc/shells | grep -v %{_bindir}/scpsh | grep -v %{_bindir}/sftpsh > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/scpsh
%attr(755,root,root) %{_bindir}/sftpsh
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rssh.spec,v $
Revision 1.14.2.2  2003/01/02 03:36:02  blues
- 1.0.4 - strict bugfix release (one bug fixed)
- STBR to Ra-updates-general

Revision 1.14.2.1  2003/01/02 03:33:22  blues
- for Ra this req was crazy...

Revision 1.14  2002/11/20 14:39:21  qboosh
- simplified symlinks, standardized perms
- static linking not needed with openssh >= 3.5
- release 2

Revision 1.13  2002/11/19 14:37:27  blues
- 1.0.3 - STBR

Revision 1.12  2002/10/23 13:15:51  areq
- 1.0.1, STBR

Revision 1.11  2002/10/10 17:01:53  kloczek
- simplifications.

Revision 1.10  2002/10/10 16:28:10  undefine
- br glibc-static when compile static(but i'm not sure if it's needed -
  mayby better idea is compile shared and into /usr ?)
- _mandir to /usr/share/man (i don't want man's in /share/man ;) - please
  think about it when changing _prefix
- release 2, stbr

Revision 1.9  2002/09/18 21:41:22  blues
- 1.0.0 - Makefile patch replaced by completelly different DESTDIR patch
- autoconf support added ( -> BR: autoconf), more docs, STBR

Revision 1.8  2002/09/10 12:27:33  blues
- 0.9.3 - now it'll build on our builders, binary is static (see SECURITY)
STBR

Revision 1.7  2002/08/28 02:46:37  blues
- 0.9.2 - added manuals, binaries location shown in configure, patch update
STBR

Revision 1.6  2002/08/19 08:32:40  blues
- ooops - release 1

Revision 1.5  2002/08/19 08:30:20  blues
- 0.9.1 - first tar-ball - sftp patch replaced by Makefile patch - fix
  chowns and chmods, change building and instalation scheme. STBR

Revision 1.4  2002/08/18 11:09:40  blues
- License is BSD-like

Revision 1.3  2002/08/17 18:06:57  blues
- release 2 - updated sources from author. STBR

Revision 1.2  2002/08/17 13:49:44  blues
- sftp patch added (location of sftp)
- post - adding/removing entries to /etc/shells - more shells in package
- license; STBR

Revision 1.1  2002/08/17 13:25:31  blues
- initial release - STBR
